org.apache.lucene.document

## Enum Field.Store

- java.lang.Object
- - java.lang.Enum<Field.Store>
  - - org.apache.lucene.document.Field.Store

All Implemented Interfaces:
  Serializable, Comparable<Field.Store>

Enclosing class:
  Field

    public static enum Field.Store
    extends Enum<Field.Store>

Specifies whether and how a field should be stored.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`NO` Do not store the field's value in the index.
`YES` Store the original field value in the index.

### Method Summary

Methods
`static Field.Store` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Field.Store[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### YES

    public static final Field.Store YES

Store the original field value in the index. This is useful for short texts like a document's title which should be displayed with the results. The value is stored in its original form, i.e. no analyzer is used before it is stored.

#### NO

    public static final Field.Store NO

Do not store the field's value in the index.

### Method Detail

#### values

    public static Field.Store[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Field.Store c : Field.Store.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Field.Store valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null